Skip to main content
Resource Center/Network Service/Network Service Operations/Port Mirroring APIs

GetCandidateVmNicsForPortMirror

GetCandidateVmNicsForPortMirror

GET/zstack/v1/port-mirrors/{portMirrorUuid}/vm-instances/candidate-nics/{type}

Operation ID

GetCandidateVmNicsForPortMirror

Since

3.7.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • portMirrorUuid
    StringRequired

    The port mirroring service UUID.

  • type
    StringRequired

    The NIC type.

Query Parameters

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    Error code, null if operation succeeds, non-null if operation fails, see error

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventories
    ListRequired

    See inventories

    • uuid
      StringRequired

      The resource UUID.

    • vmInstanceUuid
      StringRequired

      The VM instance UUID.

    • l3NetworkUuid
      StringRequired

      The L3 network UUID.

    • ip
      StringRequired

      The IP address.

    • mac
      StringRequired

      The MAC address.

    • hypervisorType
      StringRequired

      The hypervisor type.

    • netmask
      StringRequired

      The network mask.

    • gateway
      StringRequired

      The gateway IP address.

    • metaData
      StringRequired

      The metadata.

    • ipVersion
      IntegerRequired

      The IP version.

    • deviceId
      IntegerRequired

      The device ID.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • usedIps
      ListRequired

      See usedIps

      • uuid
        StringRequired

        The resource UUID.

      • ipRangeUuid
        StringRequired

        The IP range UUID.

      • l3NetworkUuid
        StringRequired

        The L3 network UUID.

      • ipVersion
        IntegerRequired

        The IP version.

      • ip
        StringRequired

        The IP address.

      • netmask
        StringRequired

        The network mask.

      • gateway
        StringRequired

        The gateway IP address.

      • usedFor
        StringRequired

        The purpose of the IP address.

      • ipInLong
        longRequired

        The IP address represented as a long integer.

      • vmNicUuid
        StringRequired

        The VM NIC UUID.

      • createDate
        TimestampRequired

        The creation date.

      • lastOpDate
        TimestampRequired

        The last operation date.